services:
  wiki:
    build:
      context: ../
      dockerfile: build/Dockerfile
      args:
        AL_VERSION: ${AL_VERSION}
        CHAMELEON_VERSION: ${CHAMELEON_VERSION}
        COMPOSER_EXT: ${COMPOSER_EXT}
        DT_VERSION: ${DT_VERSION}
        EXTENSION: ${EXTENSION}
        MAPS_VERSION: ${MAPS_VERSION}
        MM_VERSION: ${MM_VERSION}
        LINGO_VERSION: ${LINGO_VERSION}
        MW_INSTALL_PATH: ${MW_INSTALL_PATH}
        MW_VERSION: ${MW_VERSION}
        NODE_JS: ${NODE_JS}
        PF_REPO: ${PF_REPO}
        PF_VERSION: ${PF_VERSION}
        PHP_EXTENSIONS: ${PHP_EXTENSIONS}
        OS_PACKAGES: ${OS_PACKAGES}
        PHP_VERSION: ${PHP_VERSION}
        PS_VERSION: ${PS_VERSION}
        SMW_VERSION: ${SMW_VERSION}
        SRF_VERSION: ${SRF_VERSION}
    image: ${IMAGE_NAME}

  mysql:
    image: ${DB_IMAGE:-mysql:5}
    environment:
      - MYSQL_ROOT_PASSWORD=database
    profiles:
      - mysql

  postgres:
    image: ${DB_IMAGE:-postgres:15}
    environment:
      - POSTGRES_USER=root
      - POSTGRES_PASSWORD=database
    profiles:
      - postgres

  wait-for:
    image: mintel/docker-wait-for-it
    profiles:
      - no-up
